Debian Bug report logs - #152441
Lynx doesn't support ISO-8859-8-I

version graph

Package: lynx-cur; Maintainer for lynx-cur is Atsuhito KOHDA <kohda@debian.org>; Source for lynx-cur is src:lynx-cur.

Reported by: Ilya Konstantinov <debian-bug-report@future.shiny.co.il>

Date: Tue, 9 Jul 2002 19:48:05 UTC

Severity: normal

Found in version 2.8.5-2.5

Done: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>

Bug is archived. No further changes may be made.

Forwarded to lynx-dev@nongnu.org

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>, lynx-cur@packages.qa.debian.org:
Bug#152441; Package lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to Ilya Konstantinov <debian-bug-report@future.shiny.co.il>:
New Bug report received and forwarded. Copy sent to Atsuhito KOHDA <kohda@debian.org>, lynx-cur@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ilya Konstantinov <debian-bug-report@future.shiny.co.il>
To: submit@bugs.debian.org
Subject: Lynx doesn't support ISO-8859-8-I
Date: Wed, 10 Jul 2002 01:38:52 +0300
Package: lynx-cur
Version: 2.8.5-2.5

Lynx doesn't support the ISO-8859-8-I character set. Please note that
I'm not talking about implementing BiDi support for Lynx but simply
aliasing ISO-8859-8-I to ISO-8859-8 (which works as expected in Lynx),
since character set-wise they're the same.





Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>, lynx-cur@packages.qa.debian.org:
Bug#152441; Package lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>, lynx-cur@packages.qa.debian.org. Full text and rfc822 format available.

Message #10 received at 152441@bugs.debian.org (full text, mbox):

From: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
To: debian-bug-report@future.shiny.co.il, 152441@bugs.debian.org
Subject: Re: Bug#152441: Lynx doesn't support ISO-8859-8-I
Date: Thu, 11 Jul 2002 08:07:58 +0900 (JST)
From: Ilya Konstantinov <debian-bug-report@future.shiny.co.il>
Subject: Bug#152441: Lynx doesn't support ISO-8859-8-I
Date: Wed, 10 Jul 2002 01:38:52 +0300

> Lynx doesn't support the ISO-8859-8-I character set. Please note that
> I'm not talking about implementing BiDi support for Lynx but simply
> aliasing ISO-8859-8-I to ISO-8859-8 (which works as expected in Lynx),
> since character set-wise they're the same.

Well, I can't understand your problem clearly.

Do you want lynx to treat a given document as if it
had the ISO-8859-8 character set?

Is lynx's setting for assumed character set ISO-8859-8?

BTW, what is BiDi?

Thanks for your interest in lynx-cur.

Best regards,		    2002.7.11

-- 
 Debian Developer & Debian JP Developer - much more I18N of Debian
 Atsuhito Kohda <kohda@debian.org>
 Department of Math., Univ. of Tokushima



Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>, lynx-cur@packages.qa.debian.org:
Bug#152441; Package lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to Ilya Konstantinov <debian-bug-report@future.shiny.co.il>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>, lynx-cur@packages.qa.debian.org. Full text and rfc822 format available.

Message #15 received at 152441@bugs.debian.org (full text, mbox):

From: Ilya Konstantinov <debian-bug-report@future.shiny.co.il>
To: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
Cc: 152441@bugs.debian.org
Subject: Re: Bug#152441: Lynx doesn't support ISO-8859-8-I
Date: Thu, 11 Jul 2002 20:49:40 +0300
On Thu, Jul 11, 2002 at 08:07:58AM +0900, Atsuhito Kohda wrote:
> Do you want lynx to treat a given document as if it
> had the ISO-8859-8 character set?

Yes. I want Lynx to assume ISO-8859-8-I = ISO-8859-8 and ISO-8859-8-E =
ISO-8859-8.

See:
http://www.w3.org/TR/1998/REC-html40-19980424/struct/dirlang.html#h-8.2.4

> Is lynx's setting for assumed character set ISO-8859-8?

No. I don't want the assumed character set to be ISO-8859-8.

> BTW, what is BiDi?

Bidirectional support, ie. support for languages written right-to-left.
such as Hebrew and Arabic. This is currently out of the scope for Lynx,
as the semantics of bidirectional terminals are unclear for now.

> Thanks for your interest in lynx-cur.

Thank you for your quick response.




Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>, lynx-cur@packages.qa.debian.org:
Bug#152441; Package lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>, lynx-cur@packages.qa.debian.org. Full text and rfc822 format available.

Message #20 received at 152441@bugs.debian.org (full text, mbox):

From: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
To: debian-bug-report@future.shiny.co.il, 152441@bugs.debian.org
Subject: Re: Bug#152441: Lynx doesn't support ISO-8859-8-I
Date: Fri, 12 Jul 2002 10:23:48 +0900 (JST)
From: Ilya Konstantinov <debian-bug-report@future.shiny.co.il>
Subject: Bug#152441: Lynx doesn't support ISO-8859-8-I
Date: Thu, 11 Jul 2002 20:49:40 +0300

> On Thu, Jul 11, 2002 at 08:07:58AM +0900, Atsuhito Kohda wrote:
> > Do you want lynx to treat a given document as if it
> > had the ISO-8859-8 character set?
> 
> Yes. I want Lynx to assume ISO-8859-8-I = ISO-8859-8 and ISO-8859-8-E =
> ISO-8859-8.
> 
> See:
> http://www.w3.org/TR/1998/REC-html40-19980424/struct/dirlang.html#h-8.2.4
> 
> > Is lynx's setting for assumed character set ISO-8859-8?
> 
> No. I don't want the assumed character set to be ISO-8859-8.

Hmm, I could understand your problem, though vaguely.

Do you get the problem only when a document is in ISO-8859-8-I
(or ISO-8859-8-E) but no problem for a document in ISO-8859-8?
If so, I will report the problem to the upstream of lynx.

Or do you get the problem even when a document is in ISO-8859-8?
If so, perhaps you should change assumed character set
to ISO-8859-8 when a document is in ISO-8859-8, ISO-8859-8-I
and/or ISO-8859-8-E, I guess.

You might know this already but you can change assumed character 
set with pressing "O" key in lynx which will call Options Menu
for you.

BTW, what is the difference between ISO-8859-8-I/ISO-8859-8-E
and pure ISO-8859-8?  I am a Japanese and don't know ISO-8859-* 
so much.

Best regards,			      2002.7.12

-- 
 Debian Developer & Debian JP Developer - much more I18N of Debian
 Atsuhito Kohda <kohda@debian.org>
 Department of Math., Univ. of Tokushima



Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>, lynx-cur@packages.qa.debian.org:
Bug#152441; Package lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to Ilya Konstantinov <debian-bug-report@future.shiny.co.il>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>, lynx-cur@packages.qa.debian.org. Full text and rfc822 format available.

Message #25 received at 152441@bugs.debian.org (full text, mbox):

From: Ilya Konstantinov <debian-bug-report@future.shiny.co.il>
To: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
Cc: 152441@bugs.debian.org
Subject: Re: Bug#152441: Lynx doesn't support ISO-8859-8-I
Date: Fri, 12 Jul 2002 11:55:48 +0300
On Fri, Jul 12, 2002 at 10:23:48AM +0900, Atsuhito Kohda wrote:
> From: Ilya Konstantinov <debian-bug-report@future.shiny.co.il>
> Subject: Bug#152441: Lynx doesn't support ISO-8859-8-I
> Date: Thu, 11 Jul 2002 20:49:40 +0300
> 
> > On Thu, Jul 11, 2002 at 08:07:58AM +0900, Atsuhito Kohda wrote:
> > > Do you want lynx to treat a given document as if it
> > > had the ISO-8859-8 character set?
> > 
> > Yes. I want Lynx to assume ISO-8859-8-I = ISO-8859-8 and ISO-8859-8-E =
> > ISO-8859-8.
> > 
> > See:
> > http://www.w3.org/TR/1998/REC-html40-19980424/struct/dirlang.html#h-8.2.4
> > 
> > > Is lynx's setting for assumed character set ISO-8859-8?
> > 
> > No. I don't want the assumed character set to be ISO-8859-8.
> 
> Hmm, I could understand your problem, though vaguely.
> 
> Do you get the problem only when a document is in ISO-8859-8-I
> (or ISO-8859-8-E) but no problem for a document in ISO-8859-8?
> If so, I will report the problem to the upstream of lynx.

This is a problem to be reported to upstream. There is a problem
with ISO-8859-8-I and ISO-8859-8-E, but not with ISO-8859-8.
I want Lynx to threat -I and -E exactly as it threats ISO-8859-8
today, instead of threating it as an unknown charset.

> BTW, what is the difference between ISO-8859-8-I/ISO-8859-8-E
> and pure ISO-8859-8?  I am a Japanese and don't know ISO-8859-* 
> so much.

Hebrew is a language written right-to-left.

In brief, ISO-8859-8 is a "Visual" Hebrew encoding, ISO-8859-8-I
is a "Logical" Hebrew encoding and ISO-8859-8-E is an "Explicit"
Hebrew encoding. All this has to do with bidirectional text
support. "Visual" means the text is stored in a visual
order (e.g. Hebrew is stored in an already reversed order -
as it would be displayed on screen) and "Logical" means the
text is stored in logical order (the Hebrew text would be
stored in reading order).

Confused? :) You might want to read RFC1556 (deals with -I and -E)
and Unicode Technical Report 9 (describes BiDi algorythms).

All of this is not necessary to resolve the bug I reported.





Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>, lynx-cur@packages.qa.debian.org:
Bug#152441; Package lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>, lynx-cur@packages.qa.debian.org. Full text and rfc822 format available.

Message #30 received at 152441@bugs.debian.org (full text, mbox):

From: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
To: debian-bug-report@future.shiny.co.il, 152441@bugs.debian.org
Subject: Re: Bug#152441: Lynx doesn't support ISO-8859-8-I
Date: Sat, 13 Jul 2002 09:18:07 +0900 (JST)
From: Ilya Konstantinov <debian-bug-report@future.shiny.co.il>
Subject: Bug#152441: Lynx doesn't support ISO-8859-8-I
Date: Fri, 12 Jul 2002 11:55:48 +0300

> This is a problem to be reported to upstream. There is a problem
> with ISO-8859-8-I and ISO-8859-8-E, but not with ISO-8859-8.
> I want Lynx to threat -I and -E exactly as it threats ISO-8859-8
> today, instead of threating it as an unknown charset.

I see.  Thanks for your clarification.  I will report
this problem to upstream.

> In brief, ISO-8859-8 is a "Visual" Hebrew encoding, ISO-8859-8-I
> is a "Logical" Hebrew encoding and ISO-8859-8-E is an "Explicit"
> Hebrew encoding. All this has to do with bidirectional text
(snip)
> Confused? :) You might want to read RFC1556 (deals with -I and -E)
> and Unicode Technical Report 9 (describes BiDi algorythms).

Really confused, but thanks for your kind explanation.

Best regards,		          2002.7.13

-- 
 Debian Developer & Debian JP Developer - much more I18N of Debian
 Atsuhito Kohda <kohda@debian.org>
 Department of Math., Tokushima Univ.



Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#152441; Package lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #35 received at 152441@bugs.debian.org (full text, mbox):

From: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
To: control@bugs.debian.org
Cc: 152441@bugs.debian.org
Subject: forwarded to the upstream
Date: Fri, 17 Sep 2004 10:57:29 +0900 (JST)
forwarded 152441 lynx-dev@nongnu.org
stop

I already forwarded this to the upstream;

From: Atsuhito Kohda <kohda@nsx.pm.tokushima-u.ac.jp>
Subject: lynx-dev Is this lynx problem or my mistake?
Date: Wed, 10 Jul 2002 17:18:18 +0900 (JST)

> Hi all,
> 
> I maintain lynx (developement version) for Debian and
> got the following bug report.
> 
>     Lynx doesn't support the ISO-8859-8-I character set. Please note that
>     I'm not talking about implementing BiDi support for Lynx but simply
>     aliasing ISO-8859-8-I to ISO-8859-8 (which works as expected in Lynx),
>     since character set-wise they're the same.
> 
> I am not a programmer and don't know the ISO-8859-8-I character set
> nor BiDi at all.
> 
> Is this report a problem of lynx's source code or my
> compilation option (or something) is not right?
> 
> Best regards,			  2002.7.10



Noted your statement that Bug has been forwarded to lynx-dev@nongnu.org. Request was from Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#152441; Package lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com (Thomas Dickey):
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #42 received at 152441@bugs.debian.org (full text, mbox):

From: dickey@his.com (Thomas Dickey)
To: 152441@bugs.debian.org
Cc: dickey@his.com (Thomas Dickey)
Subject: re: Lynx doesn't support ISO-8859-8-I
Date: Sun, 26 Sep 2004 14:08:29 -0400
>                      Debian Bug report logs - [1]#152441
>                       Lynx doesn't support ISO-8859-8-I
This was fixed in lynx 2.8.5dev.9 (2002-10-06).
-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net



Reply sent to Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Ilya Konstantinov <debian-bug-report@future.shiny.co.il>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #47 received at 152441-done@bugs.debian.org (full text, mbox):

From: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
To: dickey@his.com, 152441-done@bugs.debian.org
Cc: 152441-submitter@bugs.debian.org
Subject: Re: Bug#152441: Lynx doesn't support ISO-8859-8-I
Date: Mon, 27 Sep 2004 07:18:56 +0900 (JST)
From: dickey@his.com (Thomas Dickey)
Subject: Bug#152441: Lynx doesn't support ISO-8859-8-I
Date: Sun, 26 Sep 2004 14:08:29 -0400

> >                      Debian Bug report logs - [1]#152441
> >                       Lynx doesn't support ISO-8859-8-I
> This was fixed in lynx 2.8.5dev.9 (2002-10-06).

Thanks for your help.  Yes, I just verified this was fixed 
long time ago.

2002-10-06 (2.8.5dev.9)
(snip)
* add alias for charsets "ISO-8859-8-I" and "ISO-8859-8-E" to "iso-8859-8"
  (request by Atsuhito Kohda) -TD

Regards,			2004.9.27(Mon)

-- 
 Debian Developer & Debian JP Developer - much more I18N of Debian
 Atsuhito Kohda <kohda@debian.org>
 Department of Math., Univ. of Tokushima



Message sent on to Ilya Konstantinov <debian-bug-report@future.shiny.co.il>:
Bug#152441. Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:06:06 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.